//index.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    no: '',
    pwd: '',
    code:'',
  },
  formSubmit: function (e) {
    wx.showLoading({
      title: '登录中...',
    })     
    //wx.checkSession({
      //success: function () {
        //存在登陆态
        //console.log(1)
        //wx.showToast({
          //title: '存在登陆',
          //icon: 'none',
          //duration: 2000
        //})
      //},
      //fail: function () {
        //不存在登陆态
        //wx.showToast({
          //title: '不存在登陆态',
          //icon: 'none',
          //duration: 2000
        //})
        //console.log(2)
      //}
    //})
    if (e.detail.value.pwd=='123456')
    {
      wx.login({
        //获取code
        success: res => {
          this.setData({
            code: res.code,
          })
      app.globalData.userid = e.detail.value.no; //修改全局数据
      console.log(app.globalData.userid)
      wx.request({
        url: 'https://www.mpecloud.com:8443/na/iocm/devNotify/v1.1.0/bind/'+this.data.code+'?phone=' + e.detail.value.no,
        header: { 'content-type': 'application/json' },
        success: res => {
          wx.switchTab({
            url: '../homefree/homefree'
          })
        }, fail: function () {
          wx.switchTab({
            url: '../homefree/homefree'
          })
        }

          })
        }

      })
    }
    else
    {
      wx.showToast({
        title: '密码错误',
        icon: 'none',
        duration: 2000
      })
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})